Loading...
Searching...
No Matches
RDKit::MCSAtomCompareParameters Struct Reference

`#include <FMCS.h>`

## Public Attributes

bool | MatchValences = false
bool | MatchChiralTag = false
bool | MatchFormalCharge = false
bool | RingMatchesRingOnly = false
bool | CompleteRingsOnly = false
bool | MatchIsotope = false
double | MaxDistance = -1.0

## Detailed Description

Definition at line 41 of file FMCS.h.

## Member Data Documentation

## CompleteRingsOnly

bool RDKit::MCSAtomCompareParameters::CompleteRingsOnly = false

Definition at line 46 of file FMCS.h.

## MatchChiralTag

bool RDKit::MCSAtomCompareParameters::MatchChiralTag = false

Definition at line 43 of file FMCS.h.

## MatchFormalCharge

bool RDKit::MCSAtomCompareParameters::MatchFormalCharge = false

Definition at line 44 of file FMCS.h.

## MatchIsotope

bool RDKit::MCSAtomCompareParameters::MatchIsotope = false

Definition at line 47 of file FMCS.h.

## MatchValences

bool RDKit::MCSAtomCompareParameters::MatchValences = false

Definition at line 42 of file FMCS.h.

## MaxDistance

double RDKit::MCSAtomCompareParameters::MaxDistance = -1.0

Definition at line 48 of file FMCS.h.

## RingMatchesRingOnly

bool RDKit::MCSAtomCompareParameters::RingMatchesRingOnly = false

Definition at line 45 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h